The requested page is not available for the requested platform. You are viewing the content for Default platform.
All docs
V19.2
19.2
19.1
18.2
The page you are viewing does not exist in version 18.2. This link will take you to the root page.
18.1
The page you are viewing does not exist in version 18.1. This link will take you to the root page.
17.2
The page you are viewing does not exist in version 17.2. This link will take you to the root page.

Upgrade to a New Package Version

The topic below describes how to upgrade the client-side HTML JavaScript control to a new version with npm.

The devexpress-dashboard npm package references the devextreme and @devexpress/analytics-core npm packages as peerDependencies. The peerDependencies should be installed and updated manually.

Requirements

  • The script version on the client should match with libraries version on the server up to a minor version.
  • Versions of the devexpress npm packages should be identical (their major and minor versions should be the same).

Version Update in package.json

  1. Open the package.json file and specify package versions (where x.y stands for the version number):
{
  // ...
  "dependencies": {    
    "@devexpress/analytics-core": "19.x.y",    
    "devexpress-dashboard": "19.x.y",
    "devextreme": "19.x.y"
  },
}
  1. Install npm packages:
npm install

Version Update in the Command Line

Run the following command (where x.y stands for the version number):

npm install devexpress-dashboard@19.x.y devextreme@19.x.y @devexpress/analytics-core@19.x.y
See Also